Update Sync

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired

Headers

X-Polytomic-VersionstringOptional

Request

This endpoint expects an object.
fieldslist of objectsRequired
Fields to sync from source to destination.
modeenumRequired
namestringRequired
scheduleobjectRequired
targetobjectRequired
activebooleanOptional
Whether the sync is enabled and scheduled.
encryption_passphrasestringOptional
Passphrase for encrypting the sync data.
filter_logicstringOptional
Logical expression to combine filters.
filterslist of objectsOptional
Filters to apply to the source data.
identityobjectOptional
only_enrich_updatesbooleanOptional
Whether to use enrichment models as a source of possible changes to sync. If true, only changes to the base models will cause a record to sync.
organization_idstringOptionalformat: "uuid"

Organization ID for the sync; read-only with a partner key.

override_fieldslist of objectsOptional
Values to set in the target unconditionally.
overrideslist of objectsOptional
Conditional value replacement for fields.
policieslist of stringsOptional
skip_initial_backfillbooleanOptional

Whether to skip the initial backfill of records; if true only records seen after the sync is enabled will be synced.

sync_all_recordsbooleanOptional
Whether to sync all records from the source, regardless of whether they've changed since the previous execution.

Response

OK
dataobject

Errors

400
Model Sync Update Request Bad Request Error
401
Model Sync Update Request Unauthorized Error
403
Model Sync Update Request Forbidden Error
404
Model Sync Update Request Not Found Error
422
Model Sync Update Request Unprocessable Entity Error
500
Model Sync Update Request Internal Server Error